#ifdef HAVE_CONFIG_H
#include <config.h>
#endif /* HAVE_CONFIG_H */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <sys/time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#include "dvsend.h"
#include "rtp.h"

#include "rtp_api.h"
#include "rtp_highlevel.h"

int g_alldone = 0;
unsigned char g_frame[480];

int capture_raw_file(char *filename)
{
  int fd;
  int n;

#ifdef __USE_LARGEFILES64
  fd = open(filename, O_RDONLY | O_LARGEFILE);
#else
  fd = open(filename, O_RDONLY);
#endif /* __USE_LARGEFILES64 */

  while (!g_alldone) {
    n = read(fd, &g_frame, 480);
    if (n < 1) {
      if (n == 0) {
        g_alldone = 1;
	close(fd);
        return 0;
      }
      perror("read");
      close(fd);
      return(-1);
    }

    dvsend_RTPSend(g_frame, 480);

  } 
  
  return 0;
}
